import { EventEmitter, Callback } from './types';
/**
 * Wait for a single event or error to be emitted
 *
 *  The `callback` is called when:
 *    - the next event is emitted OR
 *    - the next error is emitted
 *
 *  The `callback` is called with the error, if one occurred
 *
 * @param   event
 * @param   emitters
 * @param   callback
 */
export declare const waitForFirst: <Event extends string>(event: Event, emitters: EventEmitter<Event>[], callback?: Callback | undefined) => Promise<void>;
